curl --request GET \
--url https://int-api.mx.com/merchants \
--header 'Accept-Version: <accept-version>' \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://int-api.mx.com/merchants"
headers = {
"Accept-Version": "<accept-version>",
"Authorization": "Basic <encoded-value>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Accept-Version': '<accept-version>', Authorization: 'Basic <encoded-value>'}
};
fetch('https://int-api.mx.com/merchants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"merchants": [
{
"created_at": "2025-02-13T18:08:00+00:00",
"guid": "MCH-7ed79542-884d-2b1b-dd74-501c5cc9d25b",
"logo_url": "https://s3.amazonaws.com/MD_Assets/merchant_logos/comcast.png",
"name": "Comcast",
"updated_at": "2025-02-13T18:09:00+00:00",
"website_url": "https://www.example.com"
}
],
"pagination": {
"current_page": 1,
"per_page": 25,
"total_entries": 1,
"total_pages": 1
}
}List merchants
This endpoint returns a paginated list of all the merchants in the MX system.
Authorizations
To authenticate with the Platform API, include your Base64-encoded client_id and api_key in the Authorization header of every request:
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'
Headers
MX Platform API version.
"v20260929"
Query Parameters
This will list only merchants in which the appended string appears.
Results are paginated. Specify current page.
This specifies the number of records to be returned on each page. Defaults to 25. The valid range is from 10 to 1000. If the value exceeds 1000, the default value of 25 will be used instead.
Response
OK
Hide child attributes
Hide child attributes
The date and time the merchant was created, represented in ISO 8601 format with a timestamp.
"2025-02-13T18:08:00+00:00"
The unique identifier for the merchant. Defined by MX.
"MCH-7ed79542-884d-2b1b-dd74-501c5cc9d25b"
The URL for a 100px X 100px logo for the merchant.
"https://s3.amazonaws.com/MD_Assets/merchant_logos/comcast.png"
The name of the merchant.
"Comcast"
The date and time the resource was last updated in ISO 8601 format with a timestamp.
For categories, this field will always be null when is_default is true.
"2025-02-13T18:09:00+00:00"
URL to the merchant's website.
"https://www.example.com"
Hide child attributes
Hide child attributes
The page delivered by the current response.
1
The number of records delivered with each page.
25
The total number of records available.
1
The total number of pages available.
1

